package main

// This file is automatically generated by github.com/lordwelch/qml/cmd/genqrc

import (
	"io/ioutil"
	"os"
	"path/filepath"

	"github.com/lordwelch/qml"
)

func init() {
	var r *qml.Resources
	var err error
	if true/*os.Getenv("QRC_REPACK") == "1"*/ {
		err = qrcRepackResources()
		if err != nil {
			panic("cannot repack qrc resources: " + err.Error())
		}
		r, err = qml.ParseResources(qrcResourcesRepacked)
	} else {
		r, err = qml.ParseResourcesString(qrcResourcesData)
	}
	if err != nil {
		panic("cannot parse bundled resources data: " + err.Error())
	}
	qml.LoadResources(r)
}

func qrcRepackResources() error {
	subdirs := []string{"qml"}
	var rp qml.ResourcesPacker
	for _, subdir := range subdirs {
		err := filepath.Walk(subdir, func(path string, info os.FileInfo, err error) error {
			if err != nil {
				return err
			}
			if info.IsDir() {
				return nil
			}
			data, err := ioutil.ReadFile(path)
			if err != nil {
				return err
			}
			rp.Add(filepath.ToSlash(path), data)
			return nil
		})
		if err != nil {
			return err
		}
	}
	qrcResourcesRepacked = rp.Pack().Bytes()
	return nil
}

var qrcResourcesRepacked []byte
var qrcResourcesData = "qres\x00\x00\x00\x01\x00\x00F\x9d\x00\x00\x00\x14\x00\x00E\xeb\x00\x00\x1cjimport QtQuick 2.4\nimport QtQuick.Dialogs 1.2\nimport QtQuick.Controls 1.3\nimport QtQuick.Window 2.0\nimport \"qml\"\nimport QtQuick.Layouts 1.0\n\nApplicationWindow {\n    id: applicationWindow1\n    title: \"Presentation App\"\n    visible: true\n    objectName: \"applicationWindow1\"\n    minimumWidth: 500\n    minimumHeight: 500\n    width: 1000\n    height: 600\n    property bool cls: false\n\n\n    /*function getFileDialogUrl() {\n            return\n                }*/\n    onClosing: if (!cls) {\n                   close.accepted = false\n               }\n\n    FileDialog {\n        id: imgpicker\n        // @disable-check M16\n        title: \"Choose an image for this slide\"\n        // @disable-check M16\n        objectName: \"imgpicker\"\n    }\n\n    AboutDialog {\n        id: aboutDialog\n    }\n\n    Action {\n        id: aboutAction\n        text: \"About\"\n        onTriggered: aboutDialog.open()\n    }\n\n    menuBar: MenuBar {\n        Menu {\n            title: \"&File\"\n            MenuItem {\n                text: \"Close\"\n                shortcut: StandardKey.Quit\n            }\n        }\n        Menu {\n            title: \"&Edit\"\n            MenuItem {\n                text: \"quick edit\"\n                objectName: \"mnuEdit\"\n            }\n        }\n\n        Menu {\n            title: \"Window\"\n\n            MenuItem {\n                text: \"Display\"\n                objectName: \"mnuDisplay\"\n            }\n        }\n\n        Menu {\n            title: \"&Help\"\n            MenuItem {\n                action: aboutAction\n            }\n        }\n    }\n\n    Menu {\n        objectName: \"mnuCtx\"\n        title: \"new image...\"\n        MenuItem {\n            objectName: \"mnuImgPick\"\n            text: \"new Image...\"\n            onTriggered: imgpicker.open()\n        }\n    }\n\n    SplitView {\n        id: mainSlider\n        objectName: \"mainSlider\"\n        anchors.right: parent.right\n        anchors.bottom: parent.bottom\n        anchors.top: parent.top\n        anchors.left: parent.left\n        anchors.rightMargin: 0\n        anchors.bottomMargin: 0\n        anchors.leftMargin: 0\n        anchors.topMargin: 0\n        orientation: Qt.Horizontal\n        onResizingChanged: col1.width = gridData.width / 2\n\n        Rectangle {\n            id: gridRect\n            objectName: \"gridRect\"\n            width: 300\n            color: \"#00000000\"\n            border.width: 4\n            anchors.left: parent.left\n            anchors.leftMargin: 0\n            anchors.bottom: parent.bottom\n            anchors.bottomMargin: 0\n            anchors.top: parent.top\n            anchors.topMargin: 0\n            property int count: 0\n\n            ScrollView {\n                id: scview\n                anchors.fill: parent\n                anchors.margins: 4\n                horizontalScrollBarPolicy: Qt.ScrollBarAlwaysOff\n                verticalScrollBarPolicy: Qt.ScrollBarAlwaysOn\n\n                SplitView {\n                    id: gridData\n                    objectName: \"gridData\"\n                    width: scview.width - 1\n                    height: gridRect.count * 101\n\n                    Rectangle {\n                        id: col1\n                        objectName: \"col1\"\n                        width: gridData.width / 2\n                        color: \"#00000000\"\n                        transformOrigin: Item.TopLeft\n                        border.width: 0\n                        Rectangle {\n                            id: textEdit\n                            property int cell\n                            x: 232\n                            y: 622\n                            objectName: \"textEdit\"\n                            width: 200\n                            height: 200\n                            color: \"#ffffff\"\n                            visible: false\n                            property bool txt: true\n                            Keys.onPressed: {\n                                if ((event.key == Qt.Key_Return)\n                                        && (event.modifiers & Qt.ControlModifier)) {\n                                    txt = true\n\n                                    x = -100\n                                    y = -100\n                                    visible = false\n                                    focus = true\n                                    enabled = false\n                                    opacity = 0\n                                    textEdit1.focus = false\n\n                                    event.accepted = true\n                                }\n\n                                if (event.key == Qt.Key_Escape) {\n                                    txt = false\n                                    x = -100\n                                    y = -100\n                                    visible = false\n                                    focus = true\n                                    enabled = false\n                                    opacity = 0\n                                    textEdit1.focus = false\n\n                                    event.accepted = true\n                                }\n                            }\n\n                            TextArea {\n                                id: textEdit1\n                                objectName: \"textEdit1\"\n                                anchors.fill: parent\n                                clip: true\n                                textFormat: Text.AutoText\n                                visible: true\n                                font.pixelSize: 12\n                                z: 99\n                            }\n                        }\n\n                        Column {\n                            id: data1\n                            objectName: \"data1\"\n                            spacing: 1\n                            anchors.fill: parent\n                        }\n                    }\n\n                    Rectangle {\n                        id: col2\n                        objectName: \"col2\"\n                        color: \"#00000000\"\n                        border.width: 0\n\n                        Column {\n                            id: data2\n                            spacing: 1\n                            objectName: \"data2\"\n                            anchors.fill: parent\n                        }\n                    }\n                }\n            }\n        }\n\n        Rectangle {\n            id: mainView\n            border.width: 0\n            objectName: \"mainView\"\n            anchors.right: parent.right\n            anchors.rightMargin: 0\n            anchors.leftMargin: 0\n            anchors.left: gridRect.right\n            anchors.bottom: parent.bottom\n            anchors.top: parent.top\n            z: 1\n            clip: false\n            visible: true\n\n            Button {\n                id: button1\n                objectName: \"btnAdd\"\n                x: 8\n                y: 8\n                text: qsTr(\"Button\")\n            }\n\n            Button {\n                id: button2\n                x: 8\n                y: 39\n                text: qsTr(\"Button\")\n                objectName: \"btnRem\"\n            }\n\n            Button {\n                id: button3\n                x: 8\n                y: 70\n                text: qsTr(\"Button\")\n                objectName: \"btnMem\"\n            }\n        }\n    }\n}\n\x00\x00\x02\x1dimport QtQuick 2.4\n\nImage {\n    id: img\n    antialiasing: true\n    source: \"image://images/\"\n    objectName: \"cellImg\"\n    property int index: 0\n    height: 100\n    transformOrigin: Item.TopLeft\n    fillMode: Image.PreserveAspectFit\n    anchors.right: parent.right\n    anchors.left: parent.left\n    //cache: false\n    MouseArea {\n            id: cellMouse\n            hoverEnabled: true\n            enabled: true\n            objectName: \"cellMouse\"\n            anchors.fill: parent\n            acceptedButtons: Qt.AllButtons\n            }\n}\n\x00\x00\x00\xe9import QtQuick 2.2\nimport QtQuick.Dialogs 1.0\n\nFileDialog {\n    id: imgDialog\n    title: \"Please choose an image\"\n    folder: shortcuts.home\n    onAccepted: {\n    }\n    onRejected: {\n    }\n    Component.onCompleted: visible = true\n}\n\x00\x00\x1eyimport QtQuick 2.4\nimport QtQuick.Controls 1.4\nimport QtQuick.Layouts 1.1\nimport QtQuick.Dialogs 1.2\n//import Qt.labs.controls 1.0\n\nApplicationWindow {\n    minimumHeight: 480\n    minimumWidth: 640\n\n    ColorDialog {\n        id: textClrDialog\n        //objectname: \"textClrDialog\"\n        // @disable-check M16\n        title: \"Please choose a color for the text\"\n        // @disable-check M16\n        showAlphaChannel: true\n    }\n\n    ColorDialog {\n        id: outlineClrDialog\n        //objectname: \"outlineClrDialog\"\n        // @disable-check M16\n        title: \"Please choose a color for the text\"\n        // @disable-check M16\n        showAlphaChannel: true\n    }\n\n    menuBar: MenuBar {\n        Menu {\n            title: \"&File\"\n            MenuItem {\n                text: \"Close\"\n            }\n        }\n        Menu {\n            title: \"&Edit\"\n            MenuItem {\n                text: \"quick edit\"\n                objectName: \"mnuEdit\"\n            }\n        }\n\n        Menu {\n            title: \"Window\"\n\n            MenuItem {\n                text: \"Display\"\n                objectName: \"mnuDisplay\"\n            }\n        }\n\n        Menu {\n            title: \"&Help\"\n            MenuItem {\n                //action: aboutAction\n            }\n        }\n    }\n\n    RowLayout {\n        id: rowLayout1\n        enabled: true\n        smooth: true\n        antialiasing: true\n        anchors.fill: parent\n\n        RowLayout {\n            id: rowlayout3\n            Layout.fillHeight: true\n            Layout.alignment: Qt.AlignTop\n            Layout.maximumWidth: 225\n\n            ColumnLayout {\n                id: columnlayout2\n                Layout.alignment: Qt.AlignLeft | Qt.AlignTop\n                Layout.fillHeight: true\n\n                Label {\n                    id: label1\n                    text: qsTr(\"Verses\")\n                    Layout.alignment: Qt.AlignLeft | Qt.AlignTop\n                }\n                ListView {\n                    id: lstVerses\n\t\t    objectName: \"lstVerses\"\n                    clip: true\n                    highlight: Rectangle {\n                        color: \"lightsteelblue\"\n                        radius: 5\n                    }\n                    width: 110\n                    Layout.fillHeight: true\n                    Layout.alignment: Qt.AlignLeft | Qt.AlignTop\n                    focus: true\n                    keyNavigationWraps: true\n                    boundsBehavior: Flickable.StopAtBounds\n                    model: go.verseLen\n\n                    delegate: Item {\n                        x: 5\n                        width: 80\n                        height: 40\n\n                        Text {\n                            text: go.verses(index)\n                            anchors.verticalCenter: parent.verticalCenter\n                            font.bold: true\n                        }\n                    }\n                }\n            }\n\n            ColumnLayout {\n                id: columnlayout3\n                Layout.alignment: Qt.AlignLeft | Qt.AlignTop\n                Layout.fillHeight: true\n\n                Label {\n                    id: label2\n                    text: qsTr(\"Verse Order\")\n                    Layout.alignment: Qt.AlignLeft | Qt.AlignTop\n                }\n                ListView {\n                    id: lstOrder\n\t\t    objectName: \"lstOrder\"\n                    clip: true\n                    highlight: Rectangle {\n                        color: \"lightsteelblue\"\n                        radius: 5\n                    }\n                    width: 110\n                    Layout.fillHeight: true\n                    Layout.alignment: Qt.AlignLeft | Qt.AlignTop\n                    boundsBehavior: Flickable.StopAtBounds\n                    model: go.orderLen\n                    delegate: Item {\n                        x: 5\n                        width: 80\n                        height: 40\n\n                        Text {\n                            text: go.verseOrder(index)\n                            anchors.verticalCenter: parent.verticalCenter\n                            font.bold: true\n                        }\n                    }\n                }\n            }\n        }\n\n        ColumnLayout {\n            id: columnlayout4\n            Layout.fillWidth: true\n            Layout.alignment: Qt.AlignLeft | Qt.AlignTop\n            Layout.fillHeight: true\n\n            RowLayout {\n                id: rowLayout3\n                Layout.alignment: Qt.AlignLeft | Qt.AlignTop\n                Layout.maximumHeight: 30\n                Layout.minimumHeight: 30\n                Layout.preferredHeight: 30\n                Layout.fillWidth: true\n\n                ToolButton {\n                    id: textColorPicker\n                    objectName: \"textColorPicker\"\n                    text: \"Text Color\"\n                    Layout.alignment: Qt.AlignLeft | Qt.AlignTop\n                    tooltip: \"Pick the color of the text\"\n                }\n\n                ToolButton {\n                    id: outlineColorPicker\n                    objectName: \"outlineColorPicker\"\n                    text: \"Outline Color\"\n                    Layout.alignment: Qt.AlignLeft | Qt.AlignTop\n                    tooltip: \"Pick the color of the text outline\"\n                }\n\n                ComboBox {\n                    id: fontPicker\n                    objectName: \"fontPicker\"\n                    Layout.alignment: Qt.AlignLeft | Qt.AlignTop\n                    model: go.fontLen\n                    // @disable-check M16\n                    /*delegate:Text {\n                        text: go.fontList(index)\n                    }*/\n\n                }\n\n                SpinBox {\n                    id: fontSize\n                    objectName: \"fontSize\"\n                    Layout.alignment: Qt.AlignLeft | Qt.AlignTop\n                    maximumValue: 1000\n                    value: 1\n                    suffix: \"Pt\"\n                }\n\n                SpinBox {\n                    id: outlineSize\n                    stepSize: 0.1\n                    decimals: 1\n                    Layout.alignment: Qt.AlignLeft | Qt.AlignTop\n                    objectName: \"outlineSize\"\n                    maximumValue: 10\n                    value: 1\n                }\n            }\n            RowLayout {\n                id: rowLayout2\n                Layout.preferredHeight: 30\n                Layout.maximumHeight: 30\n                Layout.minimumHeight: 30\n                Layout.alignment: Qt.AlignLeft | Qt.AlignTop\n                Layout.fillHeight: true\n                Layout.fillWidth: true\n\n                ComboBox {\n                    id: versePicker\n                    objectName: \"versePicker\"\n                    model: go.verseLen\n                    // @disable-check M16\n                   /* delegate: Text {\n                        text: go.verses(index)\n                    }*/\n                }\n\n                ComboBox {\n                    id: imgPicker\n                    objectName: \"imgPicker\"\n                    model: go.imgLen\n                    // @disable-check M16\n                    /*delegate: Text {\n                        text: go.img(index)\n                    }*/\n                }\n                TextArea {\n                    id: txtVerse\n\t\t    objectName: \"txtVerse\"\n                    width: 80\n                    height: 20\n                    text: qsTr(\"Text Edit\")\n                    textFormat: Text.AutoText\n                    Layout.fillHeight: true\n                    Layout.fillWidth: true\n                    Layout.alignment: Qt.AlignLeft | Qt.AlignTop\n                    font.pixelSize: 12\n                    selectByKeyboard: true\n                    selectByMouse: true\n                }\n            }\n        }\n    }\n}\n\x00\x00\x06eimport QtQuick 2.4\n\nRectangle {\n    objectName: \"cellRect\"\n    property int index: 0\n    height: 100\n    border.width: 2\n    border.color: \"black\"\n    anchors.right: parent.right\n    anchors.left: parent.left\n\n    Text {\n        id: cellText\n        enabled: true\n        objectName: \"cellText\"\n        text: \"\"\n        clip: true\n        wrapMode: Text.WrapAtWordBoundaryOrAnywhere\n        anchors.fill: parent\n        anchors.right: parent.right\n        anchors.rightMargin: 0\n        anchors.left: parent.left\n        anchors.leftMargin: 2\n\n        MouseArea {\n            id: cellMouse\n            hoverEnabled: true\n            enabled: true\n            objectName: \"cellMouse\"\n            anchors.fill: parent\n            acceptedButtons: Qt.AllButtons\n\n            onMouseXChanged: cellHover()\n            onExited: focusChanged(focus)\n\n            function cellHover() {\n                if (containsMouse) {\n                    parent.parent.border.color = \"skyblue\"\n                    parent.parent.color = \"darkblue\"\n                    parent.color = \"white\"\n                } else if (focus) {\n                    parent.color = \"black\"\n                }\n            }\n\n            function notSelected() {\n\n                parent.parent.border.color = \"black\"\n                parent.parent.color = \"white\"\n                parent.color = \"black\"\n                cellHover()\n            }\n\n            function selected() {\n                parent.parent.border.color = \"blue\"\n                parent.color = \"black\"\n                parent.parent.color = \"gainsboro\"\n                cellHover()\n            }\n        }\n    }\n}\n\x00\x00\x01qimport QtQuick 2.4\nimport QtQuick.Dialogs 1.1\n\nMessageDialog {\n    icon: StandardIcon.Information\n    text: \"Presentation App                                     \\nVersion: Alpha\"\n    detailedText: \"Presentation App for use in a church service\\nMade in 2016 by Timmy Welch.\"\n    title: \"About\"\n    height: 100\n    width: 200\n    standardButtons: StandardButton.Close\n}\n\x00\x03\x00\x00x<\x00q\x00m\x00l\x00\b\b\x01Z\\\x00m\x00a\x00i\x00n\x00.\x00q\x00m\x00l\x00\a\x00:X\xdc\x00i\x00m\x00g\x00.\x00q\x00m\x00l\x00\x0f\x00\xd2\f\\\x00f\x00i\x00l\x00e\x00D\x00i\x00a\x00l\x00o\x00g\x00s\x00.\x00q\x00m\x00l\x00\f\x04K\xc3\\\x00s\x00o\x00n\x00g\x00E\x00d\x00i\x00t\x00.\x00q\x00m\x00l\x00\b\f/]\x1c\x00c\x00e\x00l\x00l\x00.\x00q\x00m\x00l\x00\x0f\x0e\xca\x18\xfc\x00A\x00b\x00o\x00u\x00t\x00D\x00i\x00a\x00l\x00o\x00g\x00.\x00q\x00m\x00l\x00\x00\x00\x00\x00\x02\x00\x00\x00\x01\x00\x00\x00\x01\x00\x00\x00\x00\x00\x02\x00\x00\x00\x02\x00\x00\x00\x02\x00\x00\x00\x00\x00\x02\x00\x00\x00\x05\x00\x00\x00\x04\x00\x00\x00\f\x00\x00\x00\x00\x00\x01\x00\x00\x00\x00\x00\x00\x00\"\x00\x00\x00\x00\x00\x01\x00\x00\x1cn\x00\x00\x006\x00\x00\x00\x00\x00\x01\x00\x00\x1e\x8f\x00\x00\x00Z\x00\x00\x00\x00\x00\x01\x00\x00\x1f|\x00\x00\x00x\x00\x00\x00\x00\x00\x01\x00\x00=\xf9\x00\x00\x00\x8e\x00\x00\x00\x00\x00\x01\x00\x00Db"
